Page MenuHome

uv select edge black bug in blender 2.80 64 bit build
Closed, ResolvedPublic

Description

if select down and top edge in uv i see black big line in uv editor.


windows 7 64 bit 8 gb ddr3 Nvidia Ge Force GTX 1050 2GB DDR5 128 BIT. 417.71 Version Driver.
This bug only 64 bit build.

Event Timeline

Jacques Lucke (JacquesLucke) triaged this task as Needs Information from User priority.

I can't reproduce it here.
Which version of Blender are you using exactly (please try the latest).

Can you make a short screen recording that shows the issue?
Do other selections result in the same issue?
Does it only happen when the transform tool is active?

Vyacheslav (Ghostil) added a comment.EditedMar 25 2019, 7:23 PM

I can't reproduce it here.
Which version of Blender are you using exactly (please try the latest).
Can you make a short screen recording that shows the issue?
Do other selections result in the same issue?
Does it only happen when the transform tool is active?

blender-2.80.0-git.07f6be87a97e-windows64 last version


this only if select transform and top and down edge.

Jacques Lucke (JacquesLucke) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Mar 25 2019, 8:22 PM


See video.

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.

Is this still an issue with the latest nvidia drivers? (419.67)

Is this still an issue with the latest nvidia drivers? (419.67)

I tried to update them in the evening and see. After I write how it works for you.

Is this still an issue with the latest nvidia drivers? (419.67)


No change.

Sebastian Parborg (zeddb) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Mar 26 2019, 8:39 PM

It looks like gizmo of Transform tool was thought to work with vertices and faces but not for horizontal or vertical edges.
It does not look usable at all for this knd of selection.

Bug of black big line only happens for a selection horizontal edges after zooming in or out in UV Editor.
But this effect does not happen for vertical edges.

At one time it worked and there were no such problems.

New build and the bug continues.

Adam Preisler (Alphisto) triaged this task as Needs Information from User priority.

Can't reproduce this here. Win10 1070M drivers 417.22

@Vyacheslav (Ghostil) Could you try with the newest 2.8?

I use 2.80 Beta Windows 64 bit May 04, 01:50:38 - ee0d8426ab6d Beta
and i see this bug.

Sebastian Parborg (zeddb) raised the priority of this task from Needs Information from User to Waiting for Developer to Reproduce.May 6 2019, 2:17 PM

Last Version.

Looks like a bug in Nvidia driver but only on win7. Can anyone confirm that?


last version blender
blender-2.80-3076544c8c52-win64
and last driver nvidia 430.64

I'm really looking forward to fixing this bug.

I have GTX 1050 2gb, driver 430.64. Windows 10 64x
Problem not detected

This bug is possible only on the windows 7 or in general only from me.

Windows 7, Radeon Vega 64, Divider version: 19.4.1
blender-2.80.0-git.079c7f918c81-windows64
Can't reproduce...

blender-2.80.0-git.079c7f918c81-windows64 driver 430.64



this blend my this scene for test.

last version repeat this bug. 430.86 nvidia drivers game ready
Drivers NVIDIA Studio can try to install? They are more suitable for 3D.

This bug only in windows 7.
In windows 10 this bug i no see.


In old version no this black line.

Reproduced
System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: GeForce GT 640/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 419.35

Blender Version
Broken: version: 2.80 (sub 74), branch: blender2.7, commit date: 2019-06-07 23:24, hash: rB749d53effd58

I have the same issue with this file and selection strict horisontal edges.

The same with other files

Perhaps zero size in Y fails something.

32 bit build no ths bug. blender-2.80.0-git.8aa87972cac3-windows32 last 10.06.2019

Vyacheslav (Ghostil) renamed this task from uv select edge black bug to uv select edge black bug in blender 2.80 64 bit build.
Vyacheslav (Ghostil) lowered the priority of this task from Waiting for Developer to Reproduce to Confirmed, High.Jun 19 2019, 6:34 PM
Brecht Van Lommel (brecht) raised the priority of this task from Confirmed, High to Waiting for Developer to Reproduce.

Please leave setting priorities to developers.

Please leave setting priorities to developers.

Ок. Why is this bug only in 64 bit build?
I hope it will be fixed for release at least.

I can replicate this bug.
The problem is that the float margin[2]; variable in gizmo_cage2d_draw_intern(...) is not initialized.
Thus, in win64 builds the junk corresponds to very high values.

That variable was added in rB0bf8d16d1cdb by @Campbell Barton (campbellbarton)

Sebastian Parborg (zeddb) lowered the priority of this task from Waiting for Developer to Reproduce to Confirmed, Medium.

Committed code now to initialize this to zero. Maybe there is a better solution but it seems silly to leave a simple thing like this unfixed for 2.80.

Oops, I didn't notice it was assigned to me!

Committed code now to initialize this to zero. Maybe there is a better solution but it seems silly to leave a simple thing like this unfixed for 2.80.

When can I check it? In the current assembly the same lines remained.

When can I check it? In the current assembly the same lines remained.

If I'm not mistaken buildbot submits new builds daily.
https://builder.blender.org/download/

When can I check it? In the current assembly the same lines remained.

If I'm not mistaken buildbot submits new builds daily.
https://builder.blender.org/download/

Last build good job.